## kronometer-2.3.0-3.src.tar.gz

=== CMakeLists.txt ===
project(kronometer)

cmake_minimum_required(VERSION 3.1)
set(QT_MIN_VERSION 5.15.0)
set(KF5_MIN_VERSION 5.26.0)

set(PROJECT_VERSION 2.3.0)

set(CMAKE_CXX_STANDARD 17)
set(CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    CoreAddons
    Config
    Crash
    DocTools
    I18n
    WidgetsAddons
    XmlGui)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KRONOMETER
    VERSION_HEADER version.h)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_USE_QSTRINGBUILDER)

add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(autotests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(models)

include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
add_executable(kronometer main.cpp)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(kronometer PRIVATE -pedantic)
endif()

target_link_libraries(kronometer
    KF5::CoreAddons
    KF5::Crash
    gui)

install(TARGETS kronometer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES gui/kronometer.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR})

=== autotests/gui/CMakeLists.txt ===
ecm_add_tests(
    testtimedisplay.cpp
    LINK_LIBRARIES Qt::Test gui)

=== src/gui/CMakeLists.txt ===
set(gui_SRCS
    colorsettings.cpp
    digitdisplay.cpp
    fontsettings.cpp
    generalsettings.cpp
    lapitemdelegate.cpp
    mainwindow.cpp
    sessiondialog.cpp
    timedisplay.cpp)

ki18n_wrap_ui(gui_SRCS
    colorsettings.ui
    fontsettings.ui
    generalsettings.ui
    sessiondialog.ui
    timedisplay.ui)

qt_add_resources(gui_SRCS kronometerui.qrc)
kconfig_add_kcfg_files(gui_SRCS settings.kcfgc GENERATE_MOC)

add_library(gui STATIC ${gui_SRCS})
target_link_libraries(gui
    Qt::Core
    Qt::Widgets
    KF5::I18n
    KF5::WidgetsAddons
    KF5::XmlGui
    core
    models)

=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Elvis Angelaccio <elvis dot angelaccio at kde dot org>

pkgname=kronometer
pkgver=2.3.0
pkgrel=3
pkgdesc='A simple chronometer application'
arch=(x86_64)
url='https://apps.kde.org/kronometer/'
license=(GPL2)
depends=(gcc-libs
         glibc
         kconfig5
         kconfigwidgets5
         kcoreaddons5
         kcrash5
         ki18n5
         kwidgetsaddons5
         kxmlgui5
         qt5-base)
makedepends=(extra-cmake-modules)
source=(https://download.kde.org/stable/$pkgname/$pkgver/src/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('75b9e1a26f0f468d016b2dc3cd2d8fd31412ac968c5c3e7551a7502f7cfac476'
            'SKIP')
validpgpkeys=(F07D85CAA18ACF46A346FD017C7FC6EA8633B4EA) # Elvis Angelaccio <elvis.angelaccio@kde.org>

prepare() {
  sed -e '/ DocTools/d' -e '/(doc)/d' -i $pkgname-$pkgver/CMakeLists.txt
}

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DBUILD_TESTING=OFF \
    -DCMAKE_POLICY_VERSION_MINIMUM=3.5
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
